Atualizar configurações do número de telefone
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calling": {
"status": "ENABLED",
"call_icon_visibility": "DEFAULT"
}
}
'{
"success": true
}Perfis e configurações
Atualizar configurações do número de telefone
Atualizar configurações do número de telefone. Consulte os parâmetros, o exemplo e as respostas disponíveis para esta operação.
POST
/
meta
/
phone-numbers
/
{phoneNumberId}
/
settings
Atualizar configurações do número de telefone
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calling": {
"status": "ENABLED",
"call_icon_visibility": "DEFAULT"
}
}
'{
"success": true
}Autorizações
Token bearer da Eazybe. O token identifica a organização e deve ser mantido no servidor.
Parâmetros de caminho
ID do número de telefone retornado por GET /meta/phone-numbers.
Corpo
application/json
{
"calling": {
"status": "ENABLED",
"call_icon_visibility": "DEFAULT"
}
}
Show child attributes
Show child attributes
Resposta
200 - application/json
Settings updated
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | phoneNumberId not linked to your organization | Verify the id |
400 | Invalid settings payload | Read error.message |
502 | Graph unreachable or timed out | Retry with backoff |
Esta página foi útil?